Description

I'm creating an interface that auto creates projects and tasks for specific orders.  Essentially an order management system.  A few

things that would be nice to be able to set in the API:

Be able to create a sub project inside another project.

Be able to create milestones for a project.

Be able to edit and set custom fields

Be able to edit/create task relationships

Looking at the code examples I didn't see how to do those things, please correct me if I'm wrong.

History

#1 - 2011-01-30 00:45 - Andreas Saebjoernsen

I am also missing these features. I am working on a project that automatically updates part of the state of the issue tracker to keep it consistent with

the state of the master branch of a repository, and these are the features that are holding us back the most. Is there any plans to implement this?

#2 - 2011-03-23 09:03 - Toshi MARUYAMA

- Category set to REST API

#3 - 2011-07-04 22:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Be able to create a sub project inside another project.

 Can be done using the parent_id attribute when creating the subproject.

Be able to create milestones for a project.

 See #7403

Be able to edit and set custom fields

 Can be done. See an example here: Rest_api_with_curl

Be able to edit/create task relationships

 See #7366

Powered by TCPDF (www.tcpdf.org)

2025-05-03 1/1

https://www.redmine.org/issues/7403
https://www.redmine.org/projects/redmine/wiki/Rest_api_with_curl#Using-XML
https://www.redmine.org/issues/7366
http://www.tcpdf.org

